# Package org.apache.flume.lifecycle

- Interface Summary
  Interface | Description
  --- | ---
  LifecycleAware | An interface implemented by any class that has a defined, stateful, lifecycle.

- Class Summary
  Class | Description
  --- | ---
  LifecycleController |
  LifecycleSupervisor |
  LifecycleSupervisor.MonitorRunnable |
  LifecycleSupervisor.Status |
  LifecycleSupervisor.SupervisorPolicy |
  LifecycleSupervisor.SupervisorPolicy.AlwaysRestartPolicy |
  LifecycleSupervisor.SupervisorPolicy.OnceOnlyPolicy |

- Enum Summary
  Enum | Description
  --- | ---
  LifecycleState |

- Exception Summary
  Exception | Description
  --- | ---
  LifecycleException |

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.